Manually retry payment for a subscription
POST
/api/subscriptions/{id}/retry-payment
const url = 'https://api.usegro.co/api/subscriptions/example/retry-payment';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"next_delivery_date":"example","slot_id":"example","next_billing_date":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.usegro.co/api/subscriptions/example/retry-payment \ --header 'Content-Type: application/json' \ --data '{ "next_delivery_date": "example", "slot_id": "example", "next_billing_date": "example" }'Initiates a manual payment retry for a subscription that is in dunning or has a failed payment. The retry runs asynchronously; the response confirms the job has been dispatched.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
next_delivery_date
string
slot_id
string
next_billing_date
string
Example generated
{ "next_delivery_date": "example", "slot_id": "example", "next_billing_date": "example"}Responses
Section titled “Responses”Payment retry job dispatched
Media typeapplication/json
object
success
required
boolean
message
required
string
Example generated
{ "success": true, "message": "example"}Subscription is not eligible for payment retry
Media typeapplication/json
Example
{ "success": false, "error": "Subscription is not eligible for payment retry", "errorCode": "NOT_ELIGIBLE", "mode": "delivery", "problems": [ "The delivery date for this order has passed" ]}